Index: tmp/org.txm.utils/src/org/txm/utils/DeleteDir.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/DeleteDir.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/DeleteDir.java	(revision 2402)
@@ -44,11 +44,12 @@
  * @author mdecorde
  */
 public class DeleteDir {
-	
+
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String args[]) {
 		deleteDirectory(new File(args[0]));
@@ -57,7 +58,8 @@
 	/**
 	 * Delete directory.
 	 *
-	 * @param path the path
+	 * @param path
+	 *            the path
 	 * @return true, if successful
 	 */
 	static public boolean deleteDirectory(File path) {
@@ -65,73 +67,67 @@
 			return false;
 		if (!path.exists())
 			return false;
-		
+
 		try { // try using system for faster reply
-            // prefer OS-dependent directory removal tool
-            if (SystemUtils.IS_OS_WINDOWS) {
-            	Runtime.getRuntime().exec(new String[]{"%ComSpec%", "/C", "RD /S /Q \"" + path + '"'}).waitFor(); // FIXME: SJ: "%ComSpec%" is not defined, at least on my Win7
-            } else if (SystemUtils.IS_OS_UNIX) {
-            	Runtime.getRuntime().exec(new String[]{"/bin/rm", "-rf", path.toString()}).waitFor();
-            }
-        } catch (Exception e) {
-            // fallback to internal implementation on error
-        	//e.printStackTrace();
-        }
-		
+				// prefer OS-dependent directory removal tool
+			if (SystemUtils.IS_OS_WINDOWS) {
+				Runtime.getRuntime().exec(new String[] { "%ComSpec%", "/C", "RD /S /Q \"" + path + '"' }).waitFor(); // FIXME: SJ: "%ComSpec%" is not defined, at least on my Win7
+			} else if (SystemUtils.IS_OS_UNIX) {
+				Runtime.getRuntime().exec(new String[] { "/bin/rm", "-rf", path.toString() }).waitFor();
+			}
+		} catch (Exception e) {
+			// fallback to internal implementation on error
+			// e.printStackTrace();
+		}
+
 		if (path.exists() && path.isDirectory()) {
 			File[] files = path.listFiles();
 			if (files != null)
-			for (int i = 0; i < files.length; i++) {
-				if (files[i].isDirectory()) {
-					deleteDirectory(files[i]);
-				} else {
-					files[i].delete();
+				for (int i = 0; i < files.length; i++) {
+					if (files[i].isDirectory()) {
+						deleteDirectory(files[i]);
+					} else {
+						files[i].delete();
+					}
 				}
-			}
 		}
 		return (path.delete());
 	}
-	
+
 	/**
 	 * Scan directory.
 	 *
-	 * @param directory the directory
-	 * @param ignorecached the ignorecached
+	 * @param directory
+	 *            the directory
+	 * @param ignorecached
+	 *            the ignorecached
 	 * @return the array list of files
 	 */
-	public static ArrayList<File> scanDirectory(File directory, boolean ignorecached)
-	{
-		//System.out.println("scan directory : "+directory.getAbsolutePath());
+	public static ArrayList<File> scanDirectory(File directory, boolean ignorecached) {
+		// System.out.println("scan directory : "+directory.getAbsolutePath());
 		ArrayList<File> dirfiles = new ArrayList<File>();
 		LinkedList<File> files = new LinkedList<File>();
 		files.add(directory);
-		
-		while(!files.isEmpty())
-		{		
+
+		while (!files.isEmpty()) {
 			File current = files.removeFirst();
-			
-			if (current.isDirectory())
-			{
-				//System.out.println(current);
-				for(File sfile : current.listFiles())
-				{
-					//System.out.println("  "+sfile);
-					if (sfile.isDirectory())
-					{
-						if (ignorecached)
-						{
+
+			if (current.isDirectory()) {
+				// System.out.println(current);
+				for (File sfile : current.listFiles()) {
+					// System.out.println(" "+sfile);
+					if (sfile.isDirectory()) {
+						if (ignorecached) {
 							if (!sfile.getName().startsWith(".")) //$NON-NLS-1$
 								files.add(sfile);
-						}
-						else
+						} else
 							files.add(sfile);
-					}
-					else
+					} else
 						dirfiles.add(sfile);
 				}
 			}
 		}
-		//System.out.println(dirfiles);
+		// System.out.println(dirfiles);
 		return dirfiles;
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/___StreamConsumer.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/___StreamConsumer.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/___StreamConsumer.java	(revision 2402)
@@ -9,36 +9,35 @@
 
 /**
  * Consumer for dumping stdout and stderr from a native process.
+ * 
  * @author sjacquot
  *
  */
 public class ___StreamConsumer extends Thread {
-    
+
 	InputStream is;
 	int type;
-    
-    public ___StreamConsumer(InputStream is, int type) {
-        this.is = is;
-        this.type = type;
-    }
-    
-    @Override
-    public void run() {
-        try {
-            InputStreamReader isr = new InputStreamReader(this.is);
-            BufferedReader br = new BufferedReader(isr);
-            String line = null;
-            while ((line = br.readLine()) != null) {
-            	if(this.type == 0)	{
-            		Log.finest(line);
-            	}
-            	else	{
-            		Log.severe(line);
-            	}
-            }
-        }
-        catch (IOException e) {
-        	e.printStackTrace();  
-        }
-    }
+
+	public ___StreamConsumer(InputStream is, int type) {
+		this.is = is;
+		this.type = type;
+	}
+
+	@Override
+	public void run() {
+		try {
+			InputStreamReader isr = new InputStreamReader(this.is);
+			BufferedReader br = new BufferedReader(isr);
+			String line = null;
+			while ((line = br.readLine()) != null) {
+				if (this.type == 0) {
+					Log.finest(line);
+				} else {
+					Log.severe(line);
+				}
+			}
+		} catch (IOException e) {
+			e.printStackTrace();
+		}
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/processbuilder/ProcessBuilder.groovy
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/processbuilder/ProcessBuilder.groovy	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/processbuilder/ProcessBuilder.groovy	(revision 2402)
@@ -37,9 +37,12 @@
 /**
  * creates a wrapper of a program.
  *
- * @param definitionFile the definition file
- * @param classFile the class file
- * @param binariesDirectory the binaries directory
+ * @param definitionFile
+ *            the definition file
+ * @param classFile
+ *            the class file
+ * @param binariesDirectory
+ *            the binaries directory
  * @return the object
  * @author H
  */
Index: tmp/org.txm.utils/src/org/txm/utils/processbuilder/Param.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/processbuilder/Param.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/processbuilder/Param.java	(revision 2402)
@@ -38,33 +38,35 @@
  * The Class Param.
  */
 public class Param {
-	
+
 	/** The root. */
 	Element root;
-	
+
 	/** The exec. */
 	Executable exec;
-	
+
 	/** The name. */
 	String name;
-	
+
 	/** The type. */
 	String type;
-	
+
 	/** The state. */
 	String state;
-	
+
 	/** The desc. */
 	String desc;
-	
+
 	/** The prefix. */
 	String prefix;
 
 	/**
 	 * Instantiates a new param.
 	 *
-	 * @param exec the exec
-	 * @param root the root
+	 * @param exec
+	 *            the exec
+	 * @param root
+	 *            the root
 	 */
 	public Param(Executable exec, Element root) {
 
@@ -81,16 +83,17 @@
 	/**
 	 * Builds the.
 	 *
-	 * @param writer the writer
+	 * @param writer
+	 *            the writer
 	 */
 	public void build(Writer writer) {
 		/*
 		 * for(int i=0;i < children.getLength();i++) { Element child =
 		 * (Element)children.item(i); String name = child.getAttribute("name");
-		 * //$NON-NLS-1$ String type = child.getAttribute("type"); //$NON-NLS-1$
-		 * String desc = child.getAttribute("desc"); //$NON-NLS-1$ String state
-		 * = child.getAttribute("state"); //$NON-NLS-1$
-		 * if (!order.contains(name)) order.add(name);
+		 * //$NON-NLS-1$ String type = child.getAttribute("type"); //$NON-NLS-1$ String
+		 * desc = child.getAttribute("desc"); //$NON-NLS-1$ String state =
+		 * child.getAttribute("state"); //$NON-NLS-1$ if (!order.contains(name))
+		 * order.add(name);
 		 * 
 		 * }
 		 */
@@ -133,8 +136,8 @@
 		/*
 		 * StringBuffer buff = new StringBuffer();
 		 * buff.append("App: "+name+", version: "+version+", desc: "+desc+"\n");
-		 * for(Executable exec : executables.values())
-		 * buff.append(exec.describe()); return buff.toString();
+		 * for(Executable exec : executables.values()) buff.append(exec.describe());
+		 * return buff.toString();
 		 */
 		return "  Param: " + prefix + name + ", type: " + type + ", state: " //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				+ state + ",desc: " + desc + "\n"; //$NON-NLS-1$ //$NON-NLS-2$
@@ -143,14 +146,17 @@
 	/**
 	 * Equals.
 	 *
-	 * @param param the param
+	 * @param param
+	 *            the param
 	 * @return true, if successful
 	 */
 	public boolean equals(Param param) {
 		return this.name.equals(param.name) && this.type.equals(param.type);
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
@@ -161,34 +167,32 @@
 	/**
 	 * Declare.
 	 *
-	 * @param writer the writer
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param writer
+	 *            the writer
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public void declare(OutputStreamWriter writer) throws IOException {
 		if (state.equals("optional")) //$NON-NLS-1$
 		{
 			writer.write("\t// " + desc + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-			writer
-					.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			writer.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 			if (!type.equals("none")) //$NON-NLS-1$
 			{
-				writer
-						.write("\tprivate " + type + " " + name.replace("-", "") + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-				writer
-						.write("\tpublic void set" + name.replace("-", "") + "(" + type + " arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-								"\tthis.is" //$NON-NLS-1$
-								+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-								"\t\tthis." //$NON-NLS-1$
-								+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-								"\t}\n" //$NON-NLS-1$
-						);
+				writer.write("\tprivate " + type + " " + name.replace("-", "") + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+				writer.write("\tpublic void set" + name.replace("-", "") + "(" + type + " arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+						"\tthis.is" //$NON-NLS-1$
+						+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						"\t\tthis." //$NON-NLS-1$
+						+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						"\t}\n" //$NON-NLS-1$
+				);
 			} else {
-				writer
-						.write("\tpublic void set" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-								"\tthis.is" //$NON-NLS-1$
-								+ name.replace("-", "") + "=true;\t}\n" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-						);
+				writer.write("\tpublic void set" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						"\tthis.is" //$NON-NLS-1$
+						+ name.replace("-", "") + "=true;\t}\n" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				);
 			}
 
 			writer.write("\tpublic void unset" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
@@ -197,26 +201,23 @@
 		} else if (state.equals("multiple")) //$NON-NLS-1$
 		{
 			writer.write("\n\t// " + desc + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-			writer
-					.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			writer.write("\tprivate Boolean is" + name.replace("-", "") + " = false;\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 			if (!type.equals("none")) //$NON-NLS-1$
 			{
 				writer.write("\tprivate List<" + type + "> " + name + ";\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-				writer
-						.write("\tpublic void set" + name.replace("-", "") + "(List<" + type + "> arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-								"\tthis.is" //$NON-NLS-1$
-								+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-								"\t\tthis." //$NON-NLS-1$
-								+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-								"\t}\n" //$NON-NLS-1$
-						);
+				writer.write("\tpublic void set" + name.replace("-", "") + "(List<" + type + "> arg)\n\t{" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+						"\tthis.is" //$NON-NLS-1$
+						+ name.replace("-", "") + "=true;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						"\t\tthis." //$NON-NLS-1$
+						+ name.replace("-", "") + "=arg;\n" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						"\t}\n" //$NON-NLS-1$
+				);
 			} else {
-				writer
-						.write("\tpublic void set" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-								"\tthis.is" //$NON-NLS-1$
-								+ name.replace("-", "") + "=true;\t}\n" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-						);
+				writer.write("\tpublic void set" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						"\tthis.is" //$NON-NLS-1$
+						+ name.replace("-", "") + "=true;\t}\n" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				);
 			}
 
 			writer.write("\tpublic void unset" + name.replace("-", "") + "(){" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
Index: tmp/org.txm.utils/src/org/txm/utils/processbuilder/Executable.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/processbuilder/Executable.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/processbuilder/Executable.java	(revision 2402)
@@ -42,39 +42,41 @@
  * The Class Executable.
  */
 public class Executable {
-	
+
 	/** The root. */
 	Element root;
-	
+
 	/** The app. */
 	Application app;
 
 	/** The name. */
 	String name;
-	
+
 	/** The version. */
 	String version;
-	
+
 	/** The desc. */
 	String desc;
 
 	/** The params. */
 	ArrayList<Param> params = new ArrayList<Param>();
-	
+
 	/** The optionals. */
 	HashSet<Param> optionals = new HashSet<Param>();
-	
+
 	/** The musts. */
 	HashSet<Param> musts = new HashSet<Param>();
-	
+
 	/** The multiples. */
 	HashSet<Param> multiples = new HashSet<Param>();
 
 	/**
 	 * Instantiates a new executable.
 	 *
-	 * @param app the app
-	 * @param root the root
+	 * @param app
+	 *            the app
+	 * @param root
+	 *            the root
 	 */
 	public Executable(Application app, Element root) {
 		this.root = root;
@@ -101,7 +103,8 @@
 	/**
 	 * Adds the param.
 	 *
-	 * @param param the param
+	 * @param param
+	 *            the param
 	 */
 	public void addParam(Param param) {
 		params.add(param);
@@ -120,12 +123,14 @@
 	/**
 	 * Builds the.
 	 *
-	 * @param writer the writer
+	 * @param writer
+	 *            the writer
 	 * @return the string
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public String build(Writer writer) throws IOException {
-		//NodeList nodeLst = doc.getElementsByTagName("prog"); //$NON-NLS-1$
+		// NodeList nodeLst = doc.getElementsByTagName("prog"); //$NON-NLS-1$
 		ArrayList<String> dejavu = new ArrayList<String>();
 
 		HashMap<String, String> atester = new HashMap<String, String>();
@@ -144,8 +149,7 @@
 
 		// musts
 		for (Param p : musts) {
-			writer
-					.write("\t\targs.add(\"\"+" + p.name.replace("-", "") + ");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			writer.write("\t\targs.add(\"\"+" + p.name.replace("-", "") + ");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 
 		writer.write("\n" + func + " throws IOException\n"); //$NON-NLS-1$ //$NON-NLS-2$
@@ -161,41 +165,32 @@
 				writer.write("\t\tif (is" + p.name.replace("-", "") + ")\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				if (!p.type.equals("none")) { //$NON-NLS-1$
 					writer.write("\t\t\t{args.add(\"-" + p.name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
-					writer
-							.write("\t\t\targs.add(\"\"+" + p.name.replace("-", "") + ");}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+					writer.write("\t\t\targs.add(\"\"+" + p.name.replace("-", "") + ");}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				} else {
 					writer.write("\t\t\targs.add(\"-" + p.name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 			} else if (p.state.equals("multiple")) { //$NON-NLS-1$
 				writer.write("\t\tif (is" + p.name.replace("-", "") + ")\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-				writer
-						.write("\t\t\tfor(int c = 0;c < " + p.name.replace("-", "") + ".size();c++)\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				writer.write("\t\t\tfor(int c = 0;c < " + p.name.replace("-", "") + ".size();c++)\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				writer.write("\t\t\t{args.add(\"-" + p.name + "\");\n"); //$NON-NLS-1$ //$NON-NLS-2$
-				writer
-						.write("\t\t\targs.add(\"\"+" + p.name.replace("-", "") + ".get(c));}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				writer.write("\t\t\targs.add(\"\"+" + p.name.replace("-", "") + ".get(c));}\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 		}
 
-		writer
-				.write("\n\t\tProcessBuilder pb = new ProcessBuilder(args);\n" + //$NON-NLS-1$
-						"\t\tpb.redirectErrorStream(true);\n" + //$NON-NLS-1$
-						"\t\tProcess process = null;\n" + //$NON-NLS-1$
-						"\t\ttry {\n\t\t\tprocess = pb.start();\n\t\t} catch (IOException e) {\n\t\t\tSystem.err.println(e);\n\t\t}\n"); //$NON-NLS-1$
+		writer.write("\n\t\tProcessBuilder pb = new ProcessBuilder(args);\n" + //$NON-NLS-1$
+				"\t\tpb.redirectErrorStream(true);\n" + //$NON-NLS-1$
+				"\t\tProcess process = null;\n" + //$NON-NLS-1$
+				"\t\ttry {\n\t\t\tprocess = pb.start();\n\t\t} catch (IOException e) {\n\t\t\tSystem.err.println(e);\n\t\t}\n"); //$NON-NLS-1$
 		writer.write("\t\tInputStream is = process.getInputStream();\n"); //$NON-NLS-1$
-		writer
-				.write("\t\tInputStreamReader isr = new InputStreamReader(is);\n"); //$NON-NLS-1$
+		writer.write("\t\tInputStreamReader isr = new InputStreamReader(is);\n"); //$NON-NLS-1$
 		writer.write("\t\tBufferedReader br = new BufferedReader(isr);\n"); //$NON-NLS-1$
 		writer.write("\t\tString line;\n"); //$NON-NLS-1$
-		writer
-				.write("\t\twhile ((line = br.readLine()) != null)\n\t\t{\n\t\t\tif (debug)\n\t\t\t\tSystem.out.println(line);\n\t\t}\n"); //$NON-NLS-1$
-		writer
-				.write("\t\tint e=0;\n\t\ttry {e = process.waitFor();}catch(Exception err){}\n\t\tif (e != 0) {\n\t\t\t" + //$NON-NLS-1$
-						"System.err.println(\"Process exited abnormally with code \"+e+\" at \"+" //$NON-NLS-1$
-						+ 
-						"DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));"); //$NON-NLS-1$
+		writer.write("\t\twhile ((line = br.readLine()) != null)\n\t\t{\n\t\t\tif (debug)\n\t\t\t\tSystem.out.println(line);\n\t\t}\n"); //$NON-NLS-1$
+		writer.write("\t\tint e=0;\n\t\ttry {e = process.waitFor();}catch(Exception err){}\n\t\tif (e != 0) {\n\t\t\t" + //$NON-NLS-1$
+				"System.err.println(\"Process exited abnormally with code \"+e+\" at \"+" //$NON-NLS-1$
+				+ "DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));"); //$NON-NLS-1$
 		writer.write("\n\t\t\t"); //$NON-NLS-1$
-		writer
-				.write("for(int c=0;c <args.size();c++)System.out.print(\"\"+args.get(c)+\" \");\n"); //$NON-NLS-1$
+		writer.write("for(int c=0;c <args.size();c++)System.out.print(\"\"+args.get(c)+\" \");\n"); //$NON-NLS-1$
 		writer.write("\t\t\tSystem.out.println();\n\t\t}\n\t}\n"); //$NON-NLS-1$
 
 		return ""; //$NON-NLS-1$
Index: tmp/org.txm.utils/src/org/txm/utils/processbuilder/Application.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/processbuilder/Application.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/processbuilder/Application.java	(revision 2402)
@@ -48,35 +48,38 @@
  * The Class Application.
  */
 public class Application {
-	
+
 	/** The definition file. */
 	File definitionFile;
 
 	/** The name. */
 	String name;
-	
+
 	/** The version. */
 	String version;
-	
+
 	/** The desc. */
 	String desc;
-	
+
 	/** The params. */
 	HashSet<Param> params = new HashSet<Param>();
-	
+
 	/** The executables. */
 	HashMap<String, Executable> executables = new HashMap<String, Executable>();
 
 	/**
 	 * Instantiates a new application.
 	 *
-	 * @param definitionFile the definition file
-	 * @throws ParserConfigurationException the parser configuration exception
-	 * @throws SAXException the sAX exception
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param definitionFile
+	 *            the definition file
+	 * @throws ParserConfigurationException
+	 *             the parser configuration exception
+	 * @throws SAXException
+	 *             the sAX exception
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public Application(File definitionFile)
-			throws ParserConfigurationException, SAXException, IOException {
+	public Application(File definitionFile) throws ParserConfigurationException, SAXException, IOException {
 		this.definitionFile = definitionFile;
 
 		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
@@ -102,15 +105,17 @@
 	/**
 	 * Builds the.
 	 *
-	 * @param outFile the out file
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 * @throws SAXException the sAX exception
-	 * @throws ParserConfigurationException the parser configuration exception
+	 * @param outFile
+	 *            the out file
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
+	 * @throws SAXException
+	 *             the sAX exception
+	 * @throws ParserConfigurationException
+	 *             the parser configuration exception
 	 */
-	public void build(File outFile) throws IOException, SAXException,
-			ParserConfigurationException {
-		OutputStreamWriter writer = new OutputStreamWriter(
-				new FileOutputStream(outFile), "UTF-8"); //$NON-NLS-1$
+	public void build(File outFile) throws IOException, SAXException, ParserConfigurationException {
+		OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(outFile), "UTF-8"); //$NON-NLS-1$
 
 		writer.write("import java.util.Date;\n"); //$NON-NLS-1$
 		writer.write("import java.util.Locale;\n"); //$NON-NLS-1$
@@ -128,8 +133,7 @@
 		writer.write("\tpublic  String version = \"" + version + "\";\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		writer.write("\tpublic String desc = \"" + desc + "\";\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
-		writer
-				.write("\n\tpublic " + name + "(String binpath){this.binpath=binpath;}\n\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		writer.write("\n\tpublic " + name + "(String binpath){this.binpath=binpath;}\n\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		writer.write("\tpublic void debug(boolean b){debug=b;};\n\n"); //$NON-NLS-1$
 
 		writer.write("//PARAMETERS DECLARATION\n"); //$NON-NLS-1$
@@ -143,8 +147,7 @@
 
 		writer.write("\tpublic static void main(String[] args) \n"); //$NON-NLS-1$
 		writer.write("\t{\n"); //$NON-NLS-1$
-		writer
-				.write("\t\t" + name + " tt = new " + name + "(\"thepathtobinariesfolder\");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		writer.write("\t\t" + name + " tt = new " + name + "(\"thepathtobinariesfolder\");\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		writer.write("\t}\n"); //$NON-NLS-1$
 
 		writer.write("}"); //$NON-NLS-1$
@@ -169,13 +172,12 @@
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String args[]) {
 		try {
-			Application app = new Application(
-					new File(
-							"~/workspace/org.txm.core/src/groovy/org/textometrie/scripts/ls-wrapper-definition.xml")); //$NON-NLS-1$
+			Application app = new Application(new File("~/workspace/org.txm.core/src/groovy/org/textometrie/scripts/ls-wrapper-definition.xml")); //$NON-NLS-1$
 			app.build(new File("~/Bureau/testClix.java")); //$NON-NLS-1$
 		} catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
